GStreamer::Clock(3)

NAME
GStreamer::Clock

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Clock

METHODS

  clockid = $clock->new_periodic_id ($start_time, $interval)

•   $start_time (unsigned integer)

•   $interval (unsigned integer)

  clockid = $clock->new_single_shot_id ($time)

•   $time (unsigned integer)

  list = $clock->add_observation ($slave, $master)

•   $slave (unsigned integer)

•   $master (unsigned integer)

  unsigned integer = $clock->adjust_unlocked ($internal)

•   $internal (unsigned integer)

  (internal, external, rate_num, rate_denom) = $clock->get_calibration

  $clock->set_calibration ($internal, $external, $rate_num, $rate_denom)

•   $internal (unsigned integer)

•   $external (unsigned integer)

•   $rate_num (unsigned integer)

•   $rate_denom (unsigned integer)

  unsigned integer = $clock->get_internal_time

  clock or undef = $clock->get_master

  boolean = $clock->set_master ($master)

•   $master (GStreamer::Clock)

  64 bit unsigned = $clock->get_resolution

  64 bit unsigned = $clock->set_resolution ($resolution)

•   $resolution (64 bit unsigned)

  unsigned integer = $clock->get_time

PROPERTIES

'stats' (boolean : default false : readable / writable / private)
    Enable clock stats (unimplemented)

'timeout' (Glib::UInt64 : default 100000000 : readable / writable / private)
    The amount of time, in nanoseconds, to sample master and slave clocks

'window-size' (integer : default 32 : readable / writable / private)
    The size of the window used to calculate rate and offset

'window-threshold' (integer : default 4 : readable / writable / private)
    The threshold to start calculating rate and offset

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.